import React from 'react';


export default React.createClass({
    propTypes: {
        field: React.PropTypes.object,
        option: React.PropTypes.number,
    },
    _onChange(event) {
        let { field, option } = this.props;

        const index = field.value.indexOf(option);
        if (index < 0) {
            if (event.target.checked) {
                field.onChange([...field.value, option]);
            }
        } else if (!event.target.checked) {
            const copy = [...field.value];
            copy.splice(index, 1);
            field.onChange(copy);
        }
    },
    render() {
        let { field, option } = this.props;

        return (
            <input
                type="checkbox"
                checked={field.value.includes(option)}
                onChange={this._onChange}
            />
        );
    },
});
