import React, { PropTypes } from 'react';
import FieldBlock from '../../../../../components/FieldBlock';
import commonStyle from '../../../../../styles/common.css';


export default React.createClass({
    propTypes: {
        field: PropTypes.object,
    },
    onChange(e) {
        this.props.field.onChange(e.target.value);
    },
    render() {
        const { field } = this.props;

        return (
            <div className={commonStyle.lastRow}>
                <FieldBlock field={field} label="">
                    <input
                        className="form-control"
                        onChange={this.onChange}
                        placeholder="Enter value"
                        value={field.value}
                    />
                </FieldBlock>
            </div>
        );
    },
});
