import React, { PropTypes } from 'react';
import StringValue from './StringValue';
import NumberValue from './NumberValue';


export default React.createClass({
    propTypes: {
        operator: PropTypes.object,
        field: PropTypes.object,
    },
    render() {
        const { operator, field } = this.props;

        if (!operator || !operator.isValue) {
            return null;
        }

        if (operator.valueType === 'string') {
            return <StringValue field={field} />;
        }
        if (operator.valueType === 'number') {
            return <NumberValue field={field} />;
        }

        return null;
    },
});
