/* global describe, it, expect */
import replaceVars from './replaceVars.js';


describe('Replace vars', () => {
    it('Should leave the string as is', () => {
        expect(replaceVars('something')).toBe('something');
    });

    it('Should replace var', () => {
        expect(replaceVars('Less than :min characters', { min: '12' })).toBe('Less than 12 characters');
    });

    it('Should replace many same vars', () => {
        expect(replaceVars('Less than :min characters :min', { min: '12' })).toBe('Less than 12 characters 12');
    });
});
