import React from 'react';
import filter from 'lodash/filter';

export default React.createClass({
    propTypes: {
        field: React.PropTypes.object.isRequired,
        allowAdd: React.PropTypes.bool,
        allowRemove: React.PropTypes.bool,
        type: React.PropTypes.string,
        inputStyle:    React.PropTypes.object,
    },
    getDefaultProps() {
        return {
            allowAdd: true,
            allowRemove: true,
            type: 'text', // any input tage type
            inputStyle: {},
        };
    },
    render() {
        let { field, allowAdd, allowRemove, type, inputStyle } = this.props;

        return (
            <div>
                {allowAdd &&
                    <button
                        type="button"
                        onClick={() => { field.onChange([...field.value, '']); }}
                    ><span className="glyphicon glyphicon-plus" /></button>}
                <ol>
                    {field.value.map((value, index) => {
                        return (
                            <li key={index}>
                                {allowRemove &&
                                    <button
                                        type="button" onClick={() => { field.onChange(filter(field.value, (item, i) => i !== index)); }}
                                    ><span className="glyphicon glyphicon-trash" /></button>}
                                &nbsp;
                                <input
                                    type={type}
                                    style={inputStyle}
                                    value={field.value[index]}
                                    onChange={(e) => {
                                        field.onChange(field.value.map((item, i) => {
                                            if (i === index) return e.target.value;
                                            return item;
                                        }));
                                    }}
                                />
                            </li>
                        );
                    })}
                </ol>
            </div>
        );
    },
});
